Skip to main content
`Ctrl`+`K`

# DMCompositeGather

Gathers into a global packed vector from its individual local vectors

## Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode DMCompositeGather(DM dm, InsertMode imode, Vec gvec, ...)

Collective

## Input Parameters

- dm - the `DMCOMPOSITE` object

- imode - `INSERT_VALUES` or `ADD_VALUES`

- gvec - the global vector

- … - the individual sequential vectors, `NULL` for any that are not needed

## Fortran Notes

Fortran users should use `DMCompositeGatherArray()`

## See Also

`DMCOMPOSITE`, `DM`, `DMDestroy()`, `DMCompositeAddDM()`, `DMCreateGlobalVector()`, `DMCompositeScatter()`, `DMCompositeCreate()`, `DMCompositeGetISLocalToGlobalMappings()`, `DMCompositeGetAccess()`, `DMCompositeGetLocalVectors()`, `DMCompositeRestoreLocalVectors()`, `DMCompositeGetEntries()`

## Level

advanced

## Location

src/dm/impls/composite/pack.c

## Examples

src/snes/tutorials/ex21.c

Index of all DMComposite routines
Table of Contents for all manual pages
Index of all manual pages